package com.lightinit.hsdatagateway.common.exceptions;

/**
 * @Author: yangrui
 * @Date: 2018/12/19 16:31
 */
public class BaseException extends RuntimeException {

    /**
     * 基本异常的代号
     */
    public String code = "200";

    public BaseException() {
        super("base exception");
    }

    public BaseException(String message) {
        super(message);
    }

    public BaseException(String message, String code){
        super(message);
        this.code = code;
    }
}
